<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SharedValueManager (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SharedValueManager (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SharedValueManager.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
               target="_top">Frames</a></li>
        <li><a href="SharedValueManager.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.aggregates</div>
    <h2 title="Class SharedValueManager" class="title">Class SharedValueManager</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.record.aggregates.SharedValueManager</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">SharedValueManager</span>
extends java.lang.Object</pre>
                <div class="block">Manages various auxiliary records while constructing a
                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html"
                       title="class in org.apache.poi.hssf.record.aggregates"><code>RowRecordsAggregate</code></a>:
                    <ul>
                        <li><a href="../../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                               title="class in org.apache.poi.hssf.record"><code>SharedFormulaRecord</code></a>s
                        </li>
                        <li><a href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                               title="class in org.apache.poi.hssf.record"><code>ArrayRecord</code></a>s
                        </li>
                        <li><a href="../../../../../../org/apache/poi/hssf/record/TableRecord.html"
                               title="class in org.apache.poi.hssf.record"><code>TableRecord</code></a>s
                        </li>
                    </ul>
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Josh Micich, Vladimirs Abramovs(Vladimirs.Abramovs at exigenservices.com) - handling of
                        ArrayRecords
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html#addArrayRecord-org.apache.poi.hssf.record.ArrayRecord-">addArrayRecord</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                        title="class in org.apache.poi.hssf.record">ArrayRecord</a>&nbsp;ar)</code>
                                    <div class="block">Add specified Array Record.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html#create-org.apache.poi.hssf.record.SharedFormulaRecord:A-org.apache.poi.ss.util.CellReference:A-org.apache.poi.hssf.record.ArrayRecord:A-org.apache.poi.hssf.record.TableRecord:A-">create</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record">SharedFormulaRecord</a>[]&nbsp;sharedFormulaRecords,
                                    <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                       title="class in org.apache.poi.ss.util">CellReference</a>[]&nbsp;firstCells,
                                    <a href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                       title="class in org.apache.poi.hssf.record">ArrayRecord</a>[]&nbsp;arrayRecords,
                                    <a href="../../../../../../org/apache/poi/hssf/record/TableRecord.html"
                                       title="class in org.apache.poi.hssf.record">TableRecord</a>[]&nbsp;tableRecords)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html#createEmpty--">createEmpty</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                        title="class in org.apache.poi.hssf.record">ArrayRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html#getArrayRecord-int-int-">getArrayRecord</a></span>(int&nbsp;firstRow,
                                    int&nbsp;firstColumn)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/SharedValueRecordBase.html"
                                        title="class in org.apache.poi.hssf.record">SharedValueRecordBase</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html#getRecordForFirstCell-org.apache.poi.hssf.record.aggregates.FormulaRecordAggregate-">getRecordForFirstCell</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">FormulaRecordAggregate</a>&nbsp;agg)</code>
                                    <div class="block">Gets the <a
                                            href="../../../../../../org/apache/poi/hssf/record/SharedValueRecordBase.html"
                                            title="class in org.apache.poi.hssf.record"><code>SharedValueRecordBase</code></a>
                                        record if it should be encoded immediately after the
                                        formula record contained in the specified <a
                                                href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                                title="class in org.apache.poi.hssf.record.aggregates"><code>FormulaRecordAggregate</code></a>
                                        agg.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record">SharedFormulaRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html#linkSharedFormulaRecord-org.apache.poi.ss.util.CellReference-org.apache.poi.hssf.record.aggregates.FormulaRecordAggregate-">linkSharedFormulaRecord</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;firstCell,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                       title="class in org.apache.poi.hssf.record.aggregates">FormulaRecordAggregate</a>&nbsp;agg)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/util/CellRangeAddress8Bit.html"
                                        title="class in org.apache.poi.hssf.util">CellRangeAddress8Bit</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html#removeArrayFormula-int-int-">removeArrayFormula</a></span>(int&nbsp;rowIndex,
                                    int&nbsp;columnIndex)</code>
                                    <div class="block">Removes the <a
                                            href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>ArrayRecord</code></a> for
                                        the cell group containing the specified cell.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html#unlink-org.apache.poi.hssf.record.SharedFormulaRecord-">unlink</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record">SharedFormulaRecord</a>&nbsp;sharedFormulaRecord)</code>
                                    <div class="block">Converts all <a
                                            href="../../../../../../org/apache/poi/hssf/record/FormulaRecord.html"
                                            title="class in org.apache.poi.hssf.record"><code>FormulaRecord</code></a>s
                                        handled by <tt>sharedFormulaRecord</tt>
                                        to plain unshared formulas
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createEmpty--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createEmpty</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;createEmpty()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a new empty <a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                            title="class in org.apache.poi.hssf.record.aggregates"><code>SharedValueManager</code></a>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="create-org.apache.poi.hssf.record.SharedFormulaRecord:A-org.apache.poi.ss.util.CellReference:A-org.apache.poi.hssf.record.ArrayRecord:A-org.apache.poi.hssf.record.TableRecord:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>create</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;create(<a
                                        href="../../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record">SharedFormulaRecord</a>[]&nbsp;sharedFormulaRecords,
                                        <a href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                           title="class in org.apache.poi.ss.util">CellReference</a>[]&nbsp;firstCells,
                                        <a href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                           title="class in org.apache.poi.hssf.record">ArrayRecord</a>[]&nbsp;arrayRecords,
                                        <a href="../../../../../../org/apache/poi/hssf/record/TableRecord.html"
                                           title="class in org.apache.poi.hssf.record">TableRecord</a>[]&nbsp;tableRecords)</pre>
                            </li>
                        </ul>
                        <a name="linkSharedFormulaRecord-org.apache.poi.ss.util.CellReference-org.apache.poi.hssf.record.aggregates.FormulaRecordAggregate-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>linkSharedFormulaRecord</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record">SharedFormulaRecord</a>&nbsp;linkSharedFormulaRecord(<a
                                        href="../../../../../../org/apache/poi/ss/util/CellReference.html"
                                        title="class in org.apache.poi.ss.util">CellReference</a>&nbsp;firstCell,
                                                   <a href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                                      title="class in org.apache.poi.hssf.record.aggregates">FormulaRecordAggregate</a>&nbsp;agg)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>firstCell</code> - as extracted from the <a
                                            href="../../../../../../org/apache/poi/ss/formula/ptg/ExpPtg.html"
                                            title="class in org.apache.poi.ss.formula.ptg"><code>ExpPtg</code></a> from
                                        the cell's formula.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>never <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRecordForFirstCell-org.apache.poi.hssf.record.aggregates.FormulaRecordAggregate-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordForFirstCell</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/SharedValueRecordBase.html"
                                        title="class in org.apache.poi.hssf.record">SharedValueRecordBase</a>&nbsp;getRecordForFirstCell(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">FormulaRecordAggregate</a>&nbsp;agg)</pre>
                                <div class="block">Gets the <a
                                        href="../../../../../../org/apache/poi/hssf/record/SharedValueRecordBase.html"
                                        title="class in org.apache.poi.hssf.record"><code>SharedValueRecordBase</code></a>
                                    record if it should be encoded immediately after the
                                    formula record contained in the specified <a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
                                            title="class in org.apache.poi.hssf.record.aggregates"><code>FormulaRecordAggregate</code></a>
                                    agg. Note - the
                                    shared value record always appears after the first formula record in the group. For
                                    arrays
                                    and tables the first formula is always the in the top left cell. However, since
                                    shared
                                    formula groups can be sparse and/or overlap, the first formula may not actually be
                                    in the
                                    top left cell.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the SHRFMLA, TABLE or ARRAY record for the formula cell, if it is the first cell
                                        of
                                        a table or array region. <code>null</code> if the formula cell is not
                                        shared/array/table,
                                        or if the specified formula is not the the first in the group.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="unlink-org.apache.poi.hssf.record.SharedFormulaRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>unlink</h4>
                                <pre>public&nbsp;void&nbsp;unlink(<a
                                        href="../../../../../../org/apache/poi/hssf/record/SharedFormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record">SharedFormulaRecord</a>&nbsp;sharedFormulaRecord)</pre>
                                <div class="block">Converts all <a
                                        href="../../../../../../org/apache/poi/hssf/record/FormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>FormulaRecord</code></a>s
                                    handled by <tt>sharedFormulaRecord</tt>
                                    to plain unshared formulas
                                </div>
                            </li>
                        </ul>
                        <a name="addArrayRecord-org.apache.poi.hssf.record.ArrayRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addArrayRecord</h4>
                                <pre>public&nbsp;void&nbsp;addArrayRecord(<a
                                        href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                        title="class in org.apache.poi.hssf.record">ArrayRecord</a>&nbsp;ar)</pre>
                                <div class="block">Add specified Array Record.</div>
                            </li>
                        </ul>
                        <a name="removeArrayFormula-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>removeArrayFormula</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/util/CellRangeAddress8Bit.html"
                                        title="class in org.apache.poi.hssf.util">CellRangeAddress8Bit</a>&nbsp;removeArrayFormula(int&nbsp;rowIndex,
                                               int&nbsp;columnIndex)</pre>
                                <div class="block">Removes the <a
                                        href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                        title="class in org.apache.poi.hssf.record"><code>ArrayRecord</code></a> for the
                                    cell group containing the specified cell.
                                    The caller should clear (set blank) all cells in the returned range.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the range of the array formula which was just removed. Never <code>null</code>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getArrayRecord-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getArrayRecord</h4>
                                <pre>public&nbsp;<a href="../../../../../../org/apache/poi/hssf/record/ArrayRecord.html"
                                                    title="class in org.apache.poi.hssf.record">ArrayRecord</a>&nbsp;getArrayRecord(int&nbsp;firstRow,
                                  int&nbsp;firstColumn)</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the shared ArrayRecord identified by (firstRow, firstColumn). never
                                        <code>null</code>.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SharedValueManager.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
               target="_top">Frames</a></li>
        <li><a href="SharedValueManager.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
